<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ChecklistMaster extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $fillable = [
        'question',
        'instruction',
        'group_id',
        'answer',
        'answer_type',
        // Add other fields as needed
    ];

    public function group() {
        return $this->belongsTo(Group::class);
    }

    public function zone() {
        return $this->belongsTo(Zone::class);
    }

    public function phase() {
        return $this->belongsTo(Phase::class);
    }

}
